<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>

<body>
    <script>
        var thingOne = "red";
        var thingTwo = "blue";
        console.log(thingOne + thingTwo);

        var donuts = ["cookies", "cinnamon sugar", "creme de leche"];

        donuts.shift();
        console.log(donuts);
        donuts.unshift("hello");
        console.log(donuts);
        var turnMeIntoAString = ["U", "d", "a", "c", "i", "t", "y"];
        
var x  = turnMeIntoAString.map(function(element){
    element = element + "x";
    return element;
});
console.log(x);
    </script>
</body>

</html>